Bug Hunting Session
Bug 53035 - Document Property “Total editing time” is not Updated if Option “Remove personal information on saving” is Set
Summary: Document Property “Total editing time” is not Updated if Option “Remove perso...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 55332 (view as bug list)
Depends on:
Blocks: File-Properties
  Show dependency treegraph
 
Reported: 2012-08-01 12:24 UTC by Harald Koester
Modified: 2019-03-11 09:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
New file properties (38.31 KB, image/jpeg)
2013-07-21 12:11 UTC, Robert Negut
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-08-01 12:24:12 UTC
Problem description: 

Steps to reproduce:
(1) Start LibreOffice and set Option „LibreOffice > Security > Options... > Remove personal information on saving”.
(2) Open new text document.
(3) Insert some words
(4) Save and close new document.
(5) Reopen it again.
(6) Display properties (File > Properties...): Total editing time: 00:00:00. Expected: Time period of steps (2) to (4). Problem already described at bug 53034. Then Cancel.
(7) Reset option „LibreOffice > Security > Options... > Remove personal information on saving”.
(8) Insert some more words. Save and close new document.
(9) Reopen document and display properties. Total editing time is still 00:00:00. Expected: Editing time not equal to 00:00:00
Comment: Here you can argue, that the editing time belongs to the personal information. But I do not think this.
(10) Insert some more words. Save and close new document.
(11) Reopen document and display properties. Total editing time is still 00:00:00. Expected: Editing time not equal to 00:00:00. 
Comment: Even if you think, that the editing time belongs to the personal information, here the editing time should be different to 00:00:00.

You can repeat the steps (10) and (11) again and again, the editing time remains at 00:00:00. From my point of view it is not possible to get an editing time different than 00:00:00, if a document was created when the mentioned option is set.

I checked the mentioned behaviour only with writer. But I assume, that the behaviour is identical with the other LibreOffice components.
              
Browser: Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 retired 2013-06-23 17:17:21 UTC
I can confirm this on OS X 10.8.4 and LO 4.1.0.1.

Setting to NEW.
Comment 2 retired 2013-07-21 11:00:47 UTC
*** Bug 55332 has been marked as a duplicate of this bug. ***
Comment 3 Robert Negut 2013-07-21 12:10:56 UTC
Since my report was filed as a duplicate to this, answering here the question posted there: Yes, it still happens in 4.0.x, and as I said there, it doesn't appear to have anything to do with setting the "remove personal information on saving" option, as I don't have that set.

Ever since the bug first appeared, I had some 15 hours added to the total editing time of a file I've probably had open for some 1000 hours during this period. Still have no idea what triggers those rare moments when it works as it should.

Also, adding a screenshot of the properties of an entirely new file created just now. Exact same thing, 5 times, created in different folders. 35 seconds of edit time and 2 revisions showing up out of nowhere, but before that notice what it says about created and last modified date. What's up with that? (After typing some words in it and saving, revisions increase by one, modified date and time updates correctly, total editing time remains unchanged, created date remains that weird one saying 2009. Exact same one, to the second, every time.)
Comment 4 Robert Negut 2013-07-21 12:11:53 UTC
Created attachment 82775 [details]
New file properties
Comment 5 QA Administrators 2015-04-01 14:41:14 UTC Comment hidden (obsolete)
Comment 6 Robert Negut 2015-04-01 17:29:45 UTC
No change up to 4.3.6 at least, my OS is still Win 7 Ultimate 32-bit.

Same thing as I say in comment 3, and again nothing to do with setting that option, despite my bug report being merged with this one specifically about that. Same time from 2009 set as creation time, same 35 seconds and 2 edits showing up for a new file, then edits update, time doesn't, except very rarely and in small amounts. For example on a file that I worked on for several hours I had 2 seconds added, says 37 seconds, and for another that I had opened for probably at least an hour every day, saving whatever may have been added each time, I had 4.5 minutes added over a span of 9 months, though now I seem to have about 1.5h more added over the past 40 days or so.

Like I was saying in that other report, for me the bug appeared after updating from 3.5.1 to 3.5.4, was not present before or in OOo. And the "remove personal information on saving" option is not set.
Comment 7 Harald Koester 2015-06-29 15:47:11 UTC
Checked again with version 4.4.3. Behaviour has changed probably due to resolved bug 53034 in version 4.3.0, but it is still not OK.

Steps to reproduce:

(1) Start LibreOffice and set Option „LibreOffice > Security > Options... > Remove personal information on saving”.
(2) Open new text document.
(3) Insert some words
(4) Save and close new document.
(5) Reopen it again.
(6) Display properties (File > Properties...): Total editing time: 00:00:00. Expected: Time period of steps (2) to (4).

@Robert: It seemed to me that your problem is different to the described behaviour above. But I do not really understand your problem. Perhaps you can provide a step-by-step description in order to reproduce your bug either here in this report or at your original bug 55332.
Comment 8 Robert Negut 2015-06-30 00:22:49 UTC
I have no idea what to say about reproducing it, since it's the behavior I saw ever since upgrading 3.5.1 to 3.5.4 and remained since, through 2 computers (or I think 3 actually, with one used briefly instead of one that had issues at the time, but not certain I paid attention to make sure then), Vista and 7, and at least 5 OS installs (may have been 6 or 7, with the test installs), and obviously a lot of LO versions.
Creating a new file has the dates (created and modified) set to the exact ones I posted in the image I attached here 2 years ago, and the same 35 seconds editing time and 2 edits. That's from the get go. And for a long time that either didn't change at all (didn't change for existing files either, nearly freezing at the point it was when I did that update) or, rarely, increased by seconds or at most a few minutes, even if the files had been open for hours, could never figure out what was different when that happened.

Admittedly, it seems that things changed regarding editing time updates in 4.4, but I haven't checked exactly to make sure it adds correctly or just adds something, but at least it's doesn't seem frozen anymore. That odd creation date is still there though.

Wasn't actually aware of that so far, didn't really check in 4.4. Interesting...
Comment 9 Robert Negut 2015-07-01 01:59:41 UTC
Nope, still a matter of just adding something, seconds or a few minutes tops regardless of the actual time. Seemed better only because I had only kept that test file open for under a minute, so it seemed about right (and because it's not completely frozen anymore). Also checked to see whether it was counting actual typing time, or something of the sort, but no, nowhere near that either.
Comment 10 Harald Koester 2015-07-01 07:33:28 UTC
(In reply to Robert Negut from comment #9)

> Also checked to see whether it
> was counting actual typing time, or something of the sort, but no, nowhere
> near that either.

I am not sure if I understand you correctly... 
Do you expect that the editing time is updated during an editing session?
This would be fine but it is not intended. The Help says: 

"Displays the amount of time that the file has been open for editing since the file was created. The editing time is updated when you save the file."

Or do you mean something different... ?
Comment 11 Robert Negut 2015-07-02 00:44:33 UTC
(In reply to Harald Koester from comment #10)
> I am not sure if I understand you correctly... 
> Do you expect that the editing time is updated during an editing session?
> This would be fine but it is not intended. The Help says: 
> 
> "Displays the amount of time that the file has been open for editing since
> the file was created. The editing time is updated when you save the file."
> 
> Or do you mean something different... ?
I know when it should be updated and how, was just wondering if I could figure out what it actually did, since it definitely doesn't do what it should be doing, so wondered if it ignored the time the document wasn't the active window or even active but idle, not typing in it. But for example last night typed away for some 10 minutes, saved and closed the file, then opened it again and saw 10 seconds added. The time before that it was some 3 minutes for about 30.
Comment 12 QA Administrators 2016-09-20 10:14:28 UTC Comment hidden (obsolete)
Comment 13 Harald Koester 2016-10-01 21:42:33 UTC
Bug according comment 7 still exists in version 5.2.2 with Win7.
Comment 14 Harald Koester 2018-02-24 17:02:11 UTC
Bug according comment 7 still exists in version 6.0.1 with Win10.
Comment 15 QA Administrators 2019-02-25 03:46:58 UTC Comment hidden (obsolete)
Comment 16 Harald Koester 2019-03-11 09:41:18 UTC
Bug according comment 7 still exists in version 6.2.1 with Win10.